## TeplPanelNotebook TeplPanelNotebook — Side or bottom panel container based on GtkNotebook |

## Functions

TeplPanelNotebook * | tepl_panel_notebook_new ()

## Types and Values

struct | TeplPanelNotebook

## Object Hierarchy

        GObject
        ╰── TeplPanelNotebook

## Includes

    #include <tepl/tepl.h>

## Description

Side or bottom panel container based on GtkNotebook.

This class is useful if you want to expose only TeplPanel in an API.

## Functions

### tepl_panel_notebook_new ()

    TeplPanelNotebook *
    tepl_panel_notebook_new (TeplPanelSimple *panel_simple,
                             GtkNotebook *notebook);

Creates a new TeplPanelNotebook.

`notebook` needs to be empty (no pages), and should be pre-configured. Then the TeplPanelNotebook will handle `notebook` , so you should not modify it afterwards.

#### Parameters

panel_simple | a TeplPanelSimple. |
notebook | a GtkNotebook. |

#### Returns

a new TeplPanelNotebook object.

[transfer full]

Since: 6.11

## Types and Values

### struct TeplPanelNotebook

    struct TeplPanelNotebook;